.net Framework 3.5

To setup NetHelpDesk using the installer, with a SQL database, in a new SQL instance, you will need to ensure that the .net Framework 3.5 is installed.

Most new Windows environments will already coming with .net Framework 4.0, but unfortunately, this is doesn’t include previous .net Framework versions. You will still need to install 3.5 as well.

Server 2012

Dotnet 1

Server 2008

All Other Windows Environments

Should you need any assistance with this, or any other feature in NetHelpDesk, simply contact us. We want you to get the most from the product, and our teams are always happy to help.

Our software is available on multiple platforms...

NetHelpDesk is available on a range of devices with industry-leading functionality available throughout.

  • Windows Phone

    Windows Phone

  • Android


  • iPhone


  • BlackBerry


  • Tablets


  • Windows



Cookie Policy

We use cookies to enhance your experience on our web site. By using our website or closing this message, you are agreeing to our Cookie Policy.